<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] ?: array()) + array("_d4fa3b332be727da" . "b2fbb0d586eb8012" => base64_decode("U0VMRUNUIENPVU5UKDEpIEZST00gc3RhdF91cGRhdGVzIFdIRVJFIGFnZ3JlZ" . "2F0aW9uID0gaW50OmFnZ3JlZ2F0aW9uIEFORCA="), "_9003c42" . "06769f8b" . "f549be38" . "9fc096dd" . "c" => base64_decode("IE9SREVSIEJZIGRhdGVfdGltZSBERV" . "ND"), "_f934df31ac124758" . "c1d704009544ddef" => base64_decode("U0VMRUNUIGRhdGVfdGltZSwgb2JqZWN0X2lkLCB1c2VyX2lkIEZST00" . "gc3RhdF91cGRhdGVzIFdIRVJFIGFnZ3JlZ2F0aW9uID0gaW50OmFnZ3" . "JlZ2F0aW9uIEFORCA="), "aggrega" . "tion" => base64_decode("YWdncmVnY" . "XRpb24="));
use Claromentis\Core\DAL;
abstract class StatReportLastAddedList extends StatReportTopList
{
    function __construct($aggregation, $name)
    {
        parent::__construct($aggregation, $name);
        $this->most_popular_amount = 10;
        $this->rows_per_page = 20;
    }
    protected function CollectData($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4)
    {
        global $db;
        $filter = $this->GetFilter();
        $query = new DAL\Query($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_f934df31ac" . "124758c1d70" . "4009544ddef"] . $filter->AsPart() . $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_9003c4206769" . "f8bf549be389f" . "c096ddc"]);
        $query->Bind($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["aggregati" . "on"], $this->aggregation);
        $query->BindPart($filter);
        $query->setLimit($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4);
        $result = $db->query($query);
        $data = array();
        while ($row = $result->fetchArray()) {
            $data[] = $row;
        }
        return $data;
    }
    protected function GetNumRowsQuery()
    {
        $filter = $this->GetFilter();
        $query = new DAL\Query($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_d4fa3b332be727dab2fbb0d586" . "eb8012"] . $filter->AsPart(), $this->aggregation);
        $query->BindPart($filter);
        return $query;
    }
}